Subject: Re: bug#41483: Linphone won't connect to SIP account

From: Ben Sturmfels <[email-masked]>
Date: Fri, 28 Aug 2020 15:37:07 +1000

Hi Maxim,

> [...]
>
>> 2020-05-23 23:05:54:365 MESSAGE New local ip address is 192.168.1.134
>> 2020-05-23 23:05:54:365 MESSAGE SIP network reachability state is now [UP]
>> 2020-05-23 23:05:54:365 MESSAGE Media network reachability state is now [UP]
>> 2020-05-23 23:05:54:366 MESSAGE LinphoneProxyConfig [0x7f57c800d030] about to register (LinphoneCore version: 3.12.0)
>> 2020-05-23 23:05:54:367 ERROR No listening point matching for [tls://sip.linphone.org:5061]
>> 2020-05-23 23:05:54:367 ERROR belle_sip_client_transaction_send_request(): no channel available
>
> Have you used the account assistant to create that SIP account? I found
> configuring an account manually confusing without it (the input text
> fields expect some protocol prefix I wasn't sure about).  Perhaps that
> protocol line is wrong. With my voip.ms service, it works fine (using
> TLS):
>
> [...]

Thanks for the suggestion, after some more testing I figured out that
the issue was that while I had closed Twinkle (another SIP program), it
was still running in the background and Linphone was silently failing to
access the port it needed. After killing Twinkle it worked fine.

Both Twinkle and Linphone seem to behave this way in Gnome 3 - I click
close but they stay running in the background - perhaps they're not
integrated properly with Gnome 3?

Anyhow at least it's clear that Linphone is working properly. Thanks!

Regards,
Ben